Deployments.ai Docs
Agent Email

Show the email policy

GET /v1/agent-email/policy · SDK getAgentEmailPolicy · CLI deployments email-policy show

GET
/v1/agent-email/policy

Requires agent-email:read.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Header Parameters

x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

AgentEmailPolicyResponse

application/json
  1. response
allowlist?array<string>
blocklist?array<string>
bounceRateThresholdBasisPoints*integer
Range0 <= value <= 10000
complaintRateThresholdBasisPoints*integer
Range0 <= value <= 10000
createdAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
dailyOutboundMessageLimit*integer
Range0 <= value <= 9007199254740991
id*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
maxAttachmentBytes*integer
Range0 <= value <= 9007199254740991
maxRecipientsPerMessage*integer
Range0 <= value <= 9007199254740991
organizationId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
rawRetentionDays*integer
Range0 <= value <= 9007199254740991
sendingStatus*string
Value in"active""paused""suspended"
sendingStatusReason?string
updatedAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
warmupStage*string
Value in"production""ramp_1""ramp_2""ramp_3""sandbox"
warmupStartedAt?string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
curl -X GET "https://example.com/v1/agent-email/policy" \  -H "x-deployments-environment: string"
{  "allowlist": [    "string"  ],  "blocklist": [    "string"  ],  "bounceRateThresholdBasisPoints": 10000,  "complaintRateThresholdBasisPoints": 10000,  "createdAt": "2019-08-24T14:15:22Z",  "dailyOutboundMessageLimit": 0,  "id": "string",  "maxAttachmentBytes": 0,  "maxRecipientsPerMessage": 0,  "organizationId": "string",  "rawRetentionDays": 0,  "sendingStatus": "active",  "sendingStatusReason": "string",  "updatedAt": "2019-08-24T14:15:22Z",  "warmupStage": "production",  "warmupStartedAt": "2019-08-24T14:15:22Z"}